Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Class SimpleType

    java.lang.Object
      |
      +--javax.management.openmbean.OpenType
            |
            +--javax.management.openmbean.SimpleType

All Implemented Interfaces:
  java.io.Serializable

public final class SimpleType
extends OpenType
implements java.io.Serializable

The `SimpleType` class is the open type class whose instances describe all open data values which are neither arrays, nor ``CompositeData`` values, nor ``TabularData`` values. It predefines all its possible instances as static fields, and has no public constructor.

Given a `SimpleType` instance describing values whose Java class name is className, the internal fields corresponding to the name and description of this `SimpleType` instance are also set to className. In other words, its methods `getClassName`, `getTypeName` and `getDescription` all return the same string value className.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary
`static SimpleType` | `BIGDECIMAL` The `SimpleType` instance describing values whose Java class name is `java.math.BigDecimal`.
`static SimpleType` | `BIGINTEGER` The `SimpleType` instance describing values whose Java class name is `java.math.BigInteger`.
`static SimpleType` | `BOOLEAN` The `SimpleType` instance describing values whose Java class name is `java.lang.Boolean`.
`static SimpleType` | `BYTE` The `SimpleType` instance describing values whose Java class name is `java.lang.Byte`.
`static SimpleType` | `CHARACTER` The `SimpleType` instance describing values whose Java class name is `java.lang.Character`.
`static SimpleType` | `DATE` The `SimpleType` instance describing values whose Java class name is `java.util.Date`.
`static SimpleType` | `DOUBLE` The `SimpleType` instance describing values whose Java class name is `java.lang.Double`.
`static SimpleType` | `FLOAT` The `SimpleType` instance describing values whose Java class name is `java.lang.Float`.
`static SimpleType` | `INTEGER` The `SimpleType` instance describing values whose Java class name is `java.lang.Integer`.
`static SimpleType` | `LONG` The `SimpleType` instance describing values whose Java class name is `java.lang.Long`.
`static SimpleType` | `OBJECTNAME` The `SimpleType` instance describing values whose Java class name is `javax.management.ObjectName`.
`static SimpleType` | `SHORT` The `SimpleType` instance describing values whose Java class name is `java.lang.Short`.
`static SimpleType` | `STRING` The `SimpleType` instance describing values whose Java class name is `java.lang.String`.
`static SimpleType` | `VOID` The `SimpleType` instance describing values whose Java class name is `java.lang.Void`.

Fields inherited from class javax.management.openmbean.OpenType
`ALLOWED_CLASSNAMES, BIGDECIMAL_CLASSNAME, BIGINTEGER_CLASSNAME, BOOLEAN_CLASSNAME, BYTE_CLASSNAME, CHARACTER_CLASSNAME, COMPOSITEDATA_CLASSNAME, DATE_CLASSNAME, DOUBLE_CLASSNAME, FLOAT_CLASSNAME, INTEGER_CLASSNAME, LONG_CLASSNAME, OBJECTNAME_CLASSNAME, SHORT_CLASSNAME, STRING_CLASSNAME, TABULARDATA_CLASSNAME, VOID_CLASSNAME`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares the specified `obj` parameter with this `SimpleType` instance for equality.
`int` | `hashCode()` Returns the hash code value for this `SimpleType` instance.
`boolean` | `isValue(java.lang.Object obj)` Tests whether obj is a value for this `SimpleType` instance.
`static void` | `main(java.lang.String[] args)`
`java.lang.Object` | `readResolve()` Replace an object read from an `ObjectInputStream` with the unique instance for that value.
`java.lang.String` | `toString()` Returns a string representation of this `SimpleType` instance.

Methods inherited from class javax.management.openmbean.OpenType
`getClassName, getDescription, getTypeName, isArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VOID

    public static final SimpleType VOID

  The `SimpleType` instance describing values whose Java class name is `java.lang.Void`.

### BOOLEAN

    public static final SimpleType BOOLEAN

  The `SimpleType` instance describing values whose Java class name is `java.lang.Boolean`.

### CHARACTER

    public static final SimpleType CHARACTER

  The `SimpleType` instance describing values whose Java class name is `java.lang.Character`.

### BYTE

    public static final SimpleType BYTE

  The `SimpleType` instance describing values whose Java class name is `java.lang.Byte`.

### SHORT

    public static final SimpleType SHORT

  The `SimpleType` instance describing values whose Java class name is `java.lang.Short`.

### INTEGER

    public static final SimpleType INTEGER

  The `SimpleType` instance describing values whose Java class name is `java.lang.Integer`.

### LONG

    public static final SimpleType LONG

  The `SimpleType` instance describing values whose Java class name is `java.lang.Long`.

### FLOAT

    public static final SimpleType FLOAT

  The `SimpleType` instance describing values whose Java class name is `java.lang.Float`.

### DOUBLE

    public static final SimpleType DOUBLE

  The `SimpleType` instance describing values whose Java class name is `java.lang.Double`.

### STRING

    public static final SimpleType STRING

  The `SimpleType` instance describing values whose Java class name is `java.lang.String`.

### BIGDECIMAL

    public static final SimpleType BIGDECIMAL

  The `SimpleType` instance describing values whose Java class name is `java.math.BigDecimal`.

### BIGINTEGER

    public static final SimpleType BIGINTEGER

  The `SimpleType` instance describing values whose Java class name is `java.math.BigInteger`.

### DATE

    public static final SimpleType DATE

  The `SimpleType` instance describing values whose Java class name is `java.util.Date`.

### OBJECTNAME

    public static final SimpleType OBJECTNAME

  The `SimpleType` instance describing values whose Java class name is `javax.management.ObjectName`.

Method Detail

### isValue

    public boolean isValue(java.lang.Object obj)

  Tests whether obj is a value for this `SimpleType` instance.

  This method returns `true` if and only if obj is not null and obj's class name is the same as the className field defined for this `SimpleType` instance (ie the class name returned by the `getClassName` method).

  Specified by:
    `isValue` in class `OpenType`
  Parameters:
    `obj` - the object to be tested.
  Returns:
    `true` if obj is a value for this `SimpleType` instance.

### equals

    public boolean equals(java.lang.Object obj)

  Compares the specified `obj` parameter with this `SimpleType` instance for equality.

  Two `SimpleType` instances are equal if and only if their `getClassName` methods return the same value.

  Specified by:
    `equals` in class `OpenType`
  Parameters:
    `obj` - the object to be compared for equality with this `SimpleType` instance; if obj is `null` or is not an instance of the class `SimpleType`, `equals` returns `false`.
  Returns:
    `true` if the specified object is equal to this `SimpleType` instance.

### hashCode

    public int hashCode()

  Returns the hash code value for this `SimpleType` instance. The hash code of a `SimpleType` instance is the the hash code of the string value returned by the `getClassName` method.

  As `SimpleType` instances are immutable, the hash code for this instance is calculated once, on the first call to `hashCode`, and then the same value is returned for subsequent calls.

  Specified by:
    `hashCode` in class `OpenType`
  Returns:
    the hash code value for this `SimpleType` instance

### toString

    public java.lang.String toString()

  Returns a string representation of this `SimpleType` instance.

  The string representation consists of the name of this class (ie `javax.management.openmbean.SimpleType`) and the type name for this instance (which is the java class name of the values this `SimpleType` instance represents).

  As `SimpleType` instances are immutable, the string representation for this instance is calculated once, on the first call to `toString`, and then the same value is returned for subsequent calls.

  Specified by:
    `toString` in class `OpenType`
  Returns:
    a string representation of this `SimpleType` instance

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Replace an object read from an `ObjectInputStream` with the unique instance for that value.

  Returns:
    the replacement object.
  Throws:
    `java.io.ObjectStreamException` - if the read object cannot be resolved.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD